"use client";

import { getStorage } from "@/utils/navigation";
import { Box } from "@chakra-ui/react";
import React, { useEffect, useState } from "react";
import CardList from "./components/card-list";

const Drafts = () => {
  const [data, setData] = useState([]);
  const [loading, setLoading] = useState<boolean>(false);

  const getAllDraftDcForms = async () => {
    setLoading(true);
    try {
      const storedData = await getStorage("draft-dcs");

      if (storedData || storedData?.some((item: { offline: Boolean }) => item?.offline == true)) {
        setData(storedData);
      }
    } catch (error) {
      console.error("Error fetching dc drafts:", error);
    } finally {
      setLoading(false);
    }
  };

  useEffect(() => {
    getAllDraftDcForms();
  }, []);

  return (
    <>
      <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
        <CardList
          data={data}
          isLoading={loading}
          handleSync={getAllDraftDcForms}
        />
      </Box>
    </>
  );
};

export default Drafts;
